@echo off
goto Start

:: \/ Read the below for instructions on how to use this file \/

:NoWDG
echo.
echo  To compile a WDG, follow these instructions:
echo.
echo 1: This batch file and makeWDG should be installed to WZCK's
echo    "makeWDG" subfolder.
echo 2: Copy all the desired WRF files (Stats.wrf, PieStats.wrf, etc.)
echo    into this directory as well.
echo 3: Create additional subfolders in this folder such as "stats",
echo    "messages", "features", and etc. that will house your mod's
echo    data files.
echo 4: Place your mod's data files in the directories specified
echo    by the WRF's you are using.
echo 5: Run this batch file again to create your WDG.
echo.
echo Note:  WZCK2.0 will also use this data when compiling your WDG.

goto Finish

:Start
if not Exist MakeWDG.exe goto NoMakeWDG
if not Exist "..\Customizer Kit*.exe" goto NoWZCK
if not Exist *.wrf goto NoWRFs
echo Compiling ver112.wdg ...
echo.
if Exist makeWDG.log del makeWDG.log
MakeWDG.exe -v -o fortress12.wdg -x 778 fortress12 -s 13 jan03 -w cam3.wrf >makeWDG.txt
echo WeaponMOD.wdg has been compiled.  For a complete progress report,
echo refer to "makeWDG.txt".
echo.
echo Have a nice day! 
goto Finish

:NoMakeWDG
echo Error:  Cannot locate the WDG Compiler shell program.
echo.
echo It should echo be in this directory.
echo Have you installed WZCK 2.0 properly?
goto NoWDG

:NoWZCK
echo Error:  Cannot locate a version of WZCK.
echo.
echo Have you installed WZCK 2.0 properly?
goto NoWDG

:NoWRFs
echo Error:  Cannot locate any WRF instructions.
echo.
echo Place at least one WRF file (i.e., stats.wrf, PieStats.wrf)
echo in this directory and try again.
goto NoWDG

:Finish
